function [p, R] = pay(A,r,N)
%pay Calculates principal and montly payment.
%   
%   Variables: 
%   A = initial loan
%   r = monthly interest rate   
%   N = Total number of payments
    
    % R = monthly payment    
    R=(r*A*(1+r)^N)/((1+r)^N-1);

    p=[]; 
    p(1)=A*(1+r)-R;

    for n=1:N-1
        p(n+1)=(1+r)*p(n)-R;
    end

end

